/* 

--- 01 TYPOGRAPHY SYSTEM

-Font sizes (px): 
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

-Font weights:
Default: 400
Bold: 700

-Line heights:
Deafult: 1
Medium: 1.2
Paragraph default: 1.8


-Letter spacing:
Large text: -0.65px
Small text: 0.3px


--- 02 COLORS

-Primary: #d8d1cb
-Tints:#fbfafa
Shades: #97928e
-Accent: #001429, #347643
-Greys:#dddddd, #fff;

--- 05 SHADOWS

--- 07 WHITESPACE

-Spacing system (px):
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128

*/

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}

body {
  font-family: "Inter", sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #001429;
  background-color: #001429;
}

.serif {
  font-family: "Inria Serif", serif;
}

.container {
  padding: 6.4rem 9.6rem 2.4rem 9.6rem;
}

.grid {
  display: grid;
}

.grid--2-cols {
  grid-template-columns: 1fr 1fr;
}

.heading-primary {
  font-family: "Inria Serif", serif;
  font-weight: 700;
  font-size: 4.4rem;
  letter-spacing: -2px;
}

.heading-secondary {
  font-family: "Inria Serif", serif;
  font-weight: 600;
  font-size: 3.2rem;
  color: #d8d1cb;
  text-align: center;
  letter-spacing: -0.4px;

  padding-bottom: 1.6rem;
}

.list {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 1.2rem;
}

.list-item {
  font-size: 1.4rem;

  display: flex;
  align-items: center;
  gap: 0.4rem;
}

@keyframes myanim-from-left {
  from {
    opacity: 0;
    transform: translateX(-50rem);
  }
  to {
    opacity: 1;
  }
}
@keyframes myanim-from-right {
  from {
    opacity: 0;
    transform: translateX(50rem);
  }
  to {
    opacity: 1;
  }
}

.animation-from-left {
  animation: myanim-from-left 2s;
}

.animation-from-right {
  animation: myanim-from-right 2s;
}

*:focus {
  outline: none;
  box-shadow: 0 0 0 0.8rem rgba(172, 173, 176);
}

.link:link,
.link:visited {
  background-color: #d8d1cb;
  text-decoration: none;
  color: #001429;
  transition: all 0.3s;
}

.link:hover,
.link:active {
  background-color: #001429;
  color: #d8d1cb;
}

.toast {
  justify-self: center;
  position: fixed;
  top: 6.4rem;
  border-radius: 1px;
  background: #fbfafa;
  font-size: 1.8rem;
  padding: 1.2rem 2.4rem;
  box-shadow: 0 6px 20px -5px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  transform: translateY(calc(-250%));
  transition: all 0.5s cubic-bezier(0.68, -0.55, 0.265, 1.35);
}

.toast.active {
  transform: translateY(0%);
}

.toast .toast-content {
  display: flex;
  align-items: center;
}

.toast-content .check {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 3.5rem;
  min-width: 3.5rem;
  background-color: #347643;
  color: #fff;
  font-size: 2rem;
  border-radius: 50%;
}

.toast-content .message {
  display: flex;
  flex-direction: column;
  margin: 0 2rem;
}

.message .text {
  font-size: 16px;
  font-weight: 400;
  color: #666666;
}

.toast .close {
  position: absolute;
  top: 0.1rem;
  right: 0.1rem;
  padding: 0.5rem;
  cursor: pointer;
  opacity: 0.7;
}

.toast .close:hover {
  opacity: 1;
}

.toast .progress {
  position: absolute;
  bottom: 0;
  left: 0;
  height: 0.3rem;
  width: 100%;
}

.toast .progress:before {
  content: " ";
  position: absolute;
  bottom: 0;
  right: 0;
  height: 100%;
  width: 100%;
  background-color: #347643;
}

.progress.active:before {
  animation: progress 5s linear forwards;
}

@keyframes progress {
  100% {
    right: 100%;
  }
}

.loader {
  background: rgb(251, 250, 250, 0.96)
    url(../img/wired-outline-177-envelope-send-in-assembly.gif) no-repeat center
    center;
  background-size: 10%;
  height: 83%;
  width: 90%;
  z-index: 100;
}
